Audience Features
Operations related to Audience Features, the pre-created parameterized OTQL query templates that transform into user-friendly selectors in the Standard Segment Builder. They enable business users to build segments using business terminology instead of complex OTQL syntax, with parameters like date ranges, categories, and custom values that can be searched by final value.
Relevant documentation:
The name of the audience feature
The token of the audience feature
The addressable object of the audience feature
The object tree expression of the audience feature
The description of the audience feature
The variables of the audience feature
The folder of the audience feature
Offset from which the search must be performed
Number of maximum items that may be returned by this search
Audience feature ID list to exclude
Fields used to order the result
Word contained in the audience feature name or description
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/audience_features HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"max_results": 1,
"first_result": 1,
"data": [
{
"variables": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"addressable_object": "text",
"creation_date": 0,
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text",
"token": "text",
"id": "text"
}
],
"count": 1,
"total": 1
}0Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/audience_features HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 136
{
"addressable_object": "text",
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text"
}{
"status": "ok",
"data": {
"variables": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"addressable_object": "text",
"creation_date": 0,
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text",
"token": "text",
"id": "text"
}
}The name of the audience feature
The token of the audience feature
The addressable object of the audience feature
The object tree expression of the audience feature
The description of the audience feature
The variables of the audience feature
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"variables": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"addressable_object": "text",
"creation_date": 0,
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text",
"token": "text",
"id": "text"
}
}0Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 136
{
"addressable_object": "text",
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text"
}{
"status": "ok",
"data": {
"variables": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"addressable_object": "text",
"creation_date": 0,
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text",
"token": "text",
"id": "text"
}
}Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Deprecated, use POST instead -- Parse an object tree expression and return the audience feature variables
The addressable object
The object tree expression
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/audience_features/extract_variables?object_tree_expression=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"max_results": 1,
"total": 1,
"first_result": 1,
"data": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"count": 1,
"status": "ok"
}Parse an object tree expression and return the audience feature variables
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/audience_features/extract_variables HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 61
{
"addressable_object": "text",
"object_tree_expression": "text"
}{
"total": 1,
"max_results": 1,
"count": 1,
"status": "ok",
"data": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"first_result": 1
}The name of the audience feature
The token of the audience feature
The addressable object of the audience feature
The object tree expression of the audience feature
The description of the audience feature
The variables of the audience feature
The folder of the audience feature
Offset from which the search must be performed
Number of maximum items that may be returned by this search
Audience feature ID list to exclude
Fields used to order the result
Word contained in the audience feature name or description
Word contained in values that be taken by a variable of the audience feature (treated with a logical OR)
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/audience_features/search HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"data": {
"elements": [
{
"variables": [
{
"reference_type": "text",
"values": [
"text"
],
"field_name": "text",
"id": "text",
"directive": "text",
"parameter_name": "text",
"audience_feature_id": "text",
"reference_model_type": "text",
"data_type": "text",
"container_type": "text",
"path": [
"text"
],
"datamart_id": "text",
"type": "text"
}
],
"addressable_object": "text",
"creation_date": 0,
"object_tree_expression": "text",
"name": "text",
"folder_id": "text",
"description": "text",
"datamart_id": "text",
"token": "text",
"id": "text"
}
],
"limit": 0,
"offset": 0,
"total_results": 0
},
"infos": [
{
"info_name": "text",
"info_value": "text"
}
]
}
}Get an audience feature segments mapping
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id}/segments_mapping HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"audience_feature_id": "text",
"segments_ids": [
"text"
]
}
}Last updated
Was this helpful?